Package io.dapr.v1

# Class AppCallbackAlphaGrpc.AppCallbackAlphaImplBase

java.lang.Object
io.dapr.v1.AppCallbackAlphaGrpc.AppCallbackAlphaImplBase

All Implemented Interfaces:
  `AppCallbackAlphaGrpc.AsyncService`, `io.grpc.BindableService`

Enclosing class:
  AppCallbackAlphaGrpc

public abstract static class AppCallbackAlphaGrpc.AppCallbackAlphaImplBase extends Object implements io.grpc.BindableService, AppCallbackAlphaGrpc.AsyncService
Base class for the server implementation of the service AppCallbackAlpha.

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

## Constructor Summary

Constructors
Constructor
Description
`AppCallbackAlphaImplBase()`

## Method Summary

Modifier and Type
Method
Description
`final io.grpc.ServerServiceDefinition`
`bindService()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.dapr.v1.AppCallbackAlphaGrpc.AsyncService

`onBulkTopicEventAlpha1, onJobEventAlpha1`

## Constructor Details

### AppCallbackAlphaImplBase

public AppCallbackAlphaImplBase()

## Method Details

### bindService

public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`